GET/projects/api/v3/tasks/{id}/reminders.json

Gets task reminders

Gets all reminders for a task.

Path Params

  • Name
    id
    Type
    integer
    required
    Description

Query Params

  • Name
    include
    Type
    array[string]
    Description

    include

    Format
    Comma separated values
    Allowed values
    • users
    • createdBy
  • Name
    fields[users]
    Type
    array[string]
    Description
    Format
    Comma separated values
    Allowed values
    • id
    • firstName
    • lastName
    • title
    • email
    • companyId
    • company
    • isAdmin
    • isClientUser
    • isServiceAccount
    • type
    • deleted
    • avatarUrl
    • lengthOfDay
    • workingHoursId
    • workingHour
    • userRate
    • userCost
    • canAddProjects

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    TaskRemindersResponse contains information about a group of reminders.
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    404
    Description
    404 Not Found No Data

Examples

200 OK

TaskRemindersResponse
{
  "included": {
    "users": {
      "additionalProp": {
        "avatarUrl": "string",
        "canAccessPortfolio": true,
        "canAddProjects": true,
        "canManagePortfolio": true,
        "company": {
          "id": 0,
          "meta": {},
          "type": "string"
        },
        "companyId": 0,
        "companyRoleId": 0,
        "createdAt": "string",
        "createdBy": {
          "id": 0,
          "meta": {},
          "type": "string"
        },
        "deleted": true,
        "email": "string",
        "firstName": "string",
        "id": 0,
        "isAdmin": true,
        "isClientUser": true,
        "isPlaceholderResource": true,
        "isServiceAccount": true,
        "jobRoles": [
          {
            "id": 0,
            "meta": {},
            "type": "string"
          }
        ],
        "lastLogin": "string",
        "lastName": "string",
        "lengthOfDay": 0,
        "meta": {},
        "skills": [
          {
            "id": 0,
            "meta": {},
            "type": "string"
          }
        ],
        "teams": [
          {
            "id": 0,
            "meta": {},
            "type": "string"
          }
        ],
        "timezone": "string",
        "title": "string",
        "type": "string",
        "updatedAt": "string",
        "updatedBy": {
          "id": 0,
          "meta": {},
          "type": "string"
        },
        "userCost": 0,
        "userRate": 0,
        "userRates": {
          "additionalProp": {
            "amount": 0,
            "currency": {
              "id": 0,
              "meta": {},
              "type": "string"
            }
          }
        },
        "workingHour": {
          "id": 0,
          "meta": {},
          "type": "string"
        },
        "workingHoursId": 0
      }
    }
  },
  "reminders": [
    {
      "createdAt": "string",
      "createdBy": {
        "id": 0,
        "meta": {},
        "type": "string"
      },
      "id": 0,
      "isRelative": true,
      "note": "string",
      "relativeNumberDays": 0,
      "remindAt": "string",
      "task": {
        "id": 0,
        "meta": {},
        "type": "string"
      },
      "type": "string",
      "user": {
        "id": 0,
        "meta": {},
        "type": "string"
      },
      "wasSent": true
    }
  ]
}